> ## Documentation Index
> Fetch the complete documentation index at: https://docs.interchange.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Slack notification setting

> Turn Product Updates on or off, or configure source outage alerts for the account’s primary Murph Slack channel. Source outage alerts can be turned on or off and sent after 10, 30, or 60 minutes.



## OpenAPI

````yaml /v2/storefront-api-v2.yaml put /notification-delivery-preferences
openapi: 3.0.0
info:
  title: Scope3 Storefront API
  version: 2.0.0
  description: |-
    REST API for partners to manage storefronts, inventory sources, and billing.

    ## Authentication

    All endpoints require a Bearer token in the Authorization header:
    ```
    Authorization: Bearer your-api-key
    ```

    ## Base URL

    `https://api.interchange.io/api/v2/storefront`

    ## For AI Agents

    AI agents can use the MCP endpoint at `/mcp/v2/storefront` with three tools:
    - `initialize`: Start an MCP session
    - `api_call`: Make REST API calls
    - `ask_about_capability`: Learn about API features
servers:
  - url: https://api.interchange.io/api/v2/storefront
    description: Production server
security: []
tags:
  - name: Account
    description: Account management, service tokens, and preferences
  - name: Storefront
    description: Manage storefront and inventory sources
  - name: Storefront Agents
    description: List and manage registered sales, signals, and outcomes agents
  - name: Storefront Activity
    description: Audit log of configuration and inventory changes on the storefront
  - name: Storefront Billing
    description: Payout bank details and billing configuration for storefronts
  - name: AI Usage
    description: Storefront AI token usage visibility by model
  - name: MCP
    description: Model Context Protocol endpoints
paths:
  /notification-delivery-preferences:
    servers:
      - url: https://api.interchange.io/api/v2
        description: Production server
    put:
      tags:
        - Account
      summary: Update a Slack notification setting
      description: >-
        Turn Product Updates on or off, or configure source outage alerts for
        the account’s primary Murph Slack channel. Source outage alerts can be
        turned on or off and sent after 10, 30, or 60 minutes.
      operationId: updateNotificationDeliveryPreference
      requestBody:
        required: true
        content:
          application/json:
            schema:
              oneOf:
                - type: object
                  properties:
                    stream:
                      type: string
                      enum:
                        - product_updates
                    enabled:
                      type: boolean
                  required:
                    - stream
                    - enabled
                  additionalProperties: false
                - type: object
                  properties:
                    stream:
                      type: string
                      enum:
                        - source_health_alerts
                    enabled:
                      type: boolean
                    thresholdMinutes:
                      anyOf:
                        - type: number
                          enum:
                            - 10
                        - type: number
                          enum:
                            - 30
                        - type: number
                          enum:
                            - 60
                  required:
                    - stream
                  additionalProperties: false
              type: object
      responses:
        '200':
          description: Update a Slack notification setting
          content:
            application/json:
              schema:
                type: object
                properties:
                  adapter:
                    type: string
                    enum:
                      - slack
                  destination:
                    type: object
                    properties:
                      id:
                        type: string
                      name:
                        nullable: true
                        type: string
                      isPrimary:
                        type: boolean
                    required:
                      - id
                      - name
                      - isPrimary
                    additionalProperties: false
                  configurable:
                    type: boolean
                    enum:
                      - true
                  preference:
                    oneOf:
                      - type: object
                        properties:
                          stream:
                            type: string
                            enum:
                              - product_updates
                          enabled:
                            type: boolean
                        required:
                          - stream
                          - enabled
                        additionalProperties: false
                      - type: object
                        properties:
                          stream:
                            type: string
                            enum:
                              - source_health_alerts
                          enabled:
                            type: boolean
                          thresholdMinutes:
                            type: integer
                            maximum: 9007199254740991
                            minimum: 1
                        required:
                          - stream
                          - enabled
                          - thresholdMinutes
                        additionalProperties: false
                    type: object
                required:
                  - adapter
                  - destination
                  - configurable
                  - preference
                additionalProperties: false
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: No Slack channel is connected to this account.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    ErrorResponse:
      description: Standard error response
      type: object
      properties:
        data:
          type: string
          nullable: true
          enum:
            - null
        error:
          $ref: '#/components/schemas/ApiError'
      required:
        - data
        - error
      additionalProperties: false
    ApiError:
      description: Structured error object
      type: object
      properties:
        code:
          description: Machine-readable error code
          type: string
        message:
          description: Human-readable error message
          type: string
        field:
          description: Field path associated with the error
          type: string
        details:
          description: Additional error context
          type: object
          additionalProperties: {}
      required:
        - code
        - message
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or access token

````